import { postTaMemberCardIdActive } from "@/services/taMemberCard";
import { getTaPackage } from "@/services/taPackage";
import { queryDict } from "@/utils/request";
import {
  ProForm,
  ProFormSelect,
  ProFormText,
} from "@ant-design/pro-components";
import { Form, Modal } from "antd";
import { useForm } from "antd/lib/form/Form";
import React from "react";
export default (props) => {
  const { isModalOpen, setIsModalOpen } = props;
  const formRef = React.useRef();

  const packageList = queryDict(getTaPackage, {
    labelKey: "packageName",
    valueKey: "packageId",
  });
  // const [form] = Form.useForm();

  const handleOk = () => {
    setIsModalOpen(false);
  };

  const handleCancel = () => {
    setIsModalOpen(false);
  };

  // React.useEffect(() => {
  //   formRef?.current?.resetFields();

  //   if (Object.keys(recordMap).length > 0) {
  //     formRef?.current?.setFieldsValue(recordMap);
  //   }
  // }, [recordMap]);

  const onFinish = () => {
    formRef?.current?.validateFieldsReturnFormatValue?.().then((x) => {
      // const memberId = formRef?.current?.getFieldValue("memberId");
      const data = {
        ...x,
        // memberId: memberId,
      };
      console.log(data);
      postTaMemberCardIdActive(data).then((res) => {});
    });
  };
  return (
    <Modal
      title="会员开卡"
      open={isModalOpen}
      onOk={handleOk}
      onCancel={handleCancel}
      footer={null}
    >
      <ProForm formRef={formRef} onFinish={onFinish}>
        <ProFormText name="memberName" label="会员姓名" />
        <ProFormText name="phone" label="手机号" />
        <ProFormSelect
          required
          name="packageId"
          label="选择套餐"
          request={packageList}
          rules={[{ required: true, message: "请选择套餐" }]}
        />
      </ProForm>
    </Modal>
  );
};
