import React from "react";
import { getTaMember } from "@/services/taMember";
import List from "@/components/Page/List";
import moment from "moment";
import { useNavigate } from "react-router-dom";
import { Button, Modal, Popconfirm } from "antd";
import ModalNewCard from "./components/ModalNewCard";
import { putTaMemberCardIdWrite } from "@/services/taMemberCard";
export default (props) => {
  const navigate = useNavigate();
  const [isModalOpen, setIsModalOpen] = React.useState(false);

  const columns = [
    {
      title: "注册日期",
      dataIndex: "bizDate1",
      valueType: "dateRange",
      search: {
        transform: (value) => {
          return {
            startTime: value[0],
            endTime: value[1],
          };
        },
      },
      hideInTable: true,
    },
    {
      title: "会员名称",
      dataIndex: "memberName",
    },
    {
      title: "生日",
      dataIndex: "birthDay",
      render: (_, r) => {
        return r.birthDay ? moment(r.birthDay).format("YYYY-MM-DD") : "";
      },
      search: false,
    },
    {
      title: "手机号",
      dataIndex: "phone",
    },

    {
      title: "性别",
      dataIndex: "sex",
      search: false,
    },

    {
      title: "注册日期",
      dataIndex: "bizDate",
      render: (_, r) => {
        return moment(r.bizDate).format("YYYY-MM-DD");
      },
      search: false,
    },
    {
      title: "状态",
      dataIndex: "status",
      render:(_,record)=>record.status==1?"正常":"异常"
    },
  ];
  const onModalNewCard = (record) => {

    setIsModalOpen(true);
  };
  const onWrite = (id) => {
    // putTaMemberCardIdWrite().then((res) => {});
  };

  return (
    <>
      <List
        // actionRef={actionRef}
        rowKey="memberId"
        onEdit={(record) => navigate(`/member/edit?id=${record.memberId}`)}
        columnOptionRender={(_, record) => [
          <Popconfirm
            key="A2"
            title="您是否确认核销卡?"
            onConfirm={() => onWrite(record.memberId)}
            okText="确定"
            cancelText="取消"
            disabled={!record.taMemberCardList?.length}
          >
            <Button
              style={{ padding: 0 }}
              type="link"
              disabled={!record.taMemberCardList?.length}
            >
              核销卡
            </Button>
          </Popconfirm>,
        ]}
        request={getTaMember}
        columns={columns}
        toolBarRender={(record) => {
          return [
            <Button
              key="1"
              type="primary"
              onClick={() => {
                onModalNewCard(record);
              }}
            >
              开卡
            </Button>,
          ];
        }}
      />
      <ModalNewCard
        isModalOpen={isModalOpen}
        setIsModalOpen={setIsModalOpen}
      />
    </>
  );
};
